﻿using RestAPIEx.Models;
using System;
using System.Net.Http;
using System.Web.Mvc;


namespace RestAPIEx.Controllers
{
    public class ProductController : Controller
    {
        // GET: Product
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Index(Products product)
        {
            try
            {
                if(product==null|| String.IsNullOrWhiteSpace(product.productDesc) 
                    || String.IsNullOrWhiteSpace(product.productName))
                {
                    ViewBag.Info = "Please enter product name and its description.";
                    return View();
                }

                using (var client = new HttpClient())
                {
                    client.BaseAddress = new Uri("http://localhost/RestAPIEx/api/");

                    var postObj = client.PostAsJsonAsync<Products>("AddProduct", product);
                    postObj.Wait();

                    var res = postObj.Result;

                    var result = res.Content.ReadAsAsync<Result>().Result.result;

                    ViewBag.Info = result;
                }

            }
            catch(Exception ex)
            {
                ViewBag.Info = ex.Message.ToString();
            }
            return View();
        }
    }
}